@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;    
}

:root {
    --text-color: #dd8dbd;
    /* --text-color: pink; */
    --bg-color: #f5f5fd;
    /* --bg-color: #b4b4d4; */
    --white: #fff;
    --black: #000;
    --mob-color: #444444;

    --primary: #FFCE00;
    --secondary: #FE4880;
    --dark: #212121;
    --light: #F3F3F3;
}

body{
    font-family: montserrat, sans-serif;
    background: #f9f9f9;
    min-height: 100vh;
    width: 100vw;
    overflow-x: hidden;
}

header{
    background: var(--bg-color);
    height: 90px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    padding: 30px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    justify-content: center;
    z-index: 10;
    transition: opacity 0.5s ease-in-out;
}

@media (max-width:800px) {
    header {
        width: 110vw;
    }
}
@media (max-width:800px) {
    .picTop {
        margin-top: 250px;
    }
}

.picTop {
    margin-top: 120px;
}

.newLogo {
    border-radius: 15px;
    margin-left: -35px;
    height: 35px;
}

section span {
    color: var(--text-color);
    font-weight: 800;
}
.readM {
    color: var(--text-color);
    background-color: var(--bg-color);
    font-weight: 800;
    cursor: pointer;
    height: 0px;
    width: 0px;
}
@media (max-width:469px) {
    .readM {
        display: none;
    }
}

.forMob {
    color: var(--white);
    cursor: pointer;
    /* font-weight: 800; */
}
@media (max-width:800px) {
    .forMob {
        opacity: 0;
        height: 0;
        overflow: hidden;
    }
}

.hide {
display: none;
}

section p {
    text-align: center;
}

section h2{
    color: #00fbff;
    display: flex;
    white-space: nowrap;
}

@media (max-width: 600px) {
    Section {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 110vw; 
        align-items: center;
        justify-content: center;
        overflow: hidden;
    }
}

#makeCenter{
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100vw;
}

.makeCenter{
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100vw;
}

.proPic{
    height: 60vh;
    border-radius: 25px;
    margin-bottom: 50px;
}

@media screen and (max-width: 800px) {
    .proPic{
        height: 40vh;
    }
}

#specialText {
    color: var(--mob-color);
}

.textW {
    color: var(--white); 
}

.contact button{
    display: flex;
    align-items: center;
    font-size: 16px;
    color: var(--white);
    background: var(--text-color);
    border: none;
    border-radius: 50px;
    cursor: pointer;
    gap: 10px;
    padding: 5px 30px;
    transition: all 0.3s ease; 
}

.contact button:hover{
    transform: scale(1.1);
}

.contact button a{
    text-decoration: none;
}

.cardMainContainer{
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    margin: 40px 0px;
    position: relative;
}

.cardMain{
    background-color: #f0f0f0;
    position: relative;
    border-radius: 8px;
    min-height: 70vh;
    min-width: 40vw;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    box-shadow: 3px 3px var(--bg-color);
    transition: transform .2s ease-in-out;
    cursor: pointer;
    transform-style: preserve-3d;
}

@media (max-width: 600px) {
    .cardMain {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 90vw; 
        align-items: center;
        justify-content: center;
    }
}

.fixed-img{
    position: absolute;
    z-index: 1;
    margin-top: 10%;
    opacity: .6;
}

.card-type {
    margin-top: 45px;
}

.forHov{
    transition: transform .2s ease-in-out;
}

.cardMain:hover{
    transform: scale(1.01);
}
.forHov:hover{
    transform: scale(1.01);
}

.prevent-hover{
    pointer-events: none;
}

.cardMain img {
    max-width: 50vh;
    margin-bottom: 10px;
  }

.sold-out{
    opacity: .3;
}

.FAQ{
    font-weight: 700;
    font-size: 28px;
    margin-top: 30px;
}

.card-container {
    display: flex;
    align-items: stretch; /* Stretch items to full container width */
    justify-content: center; /* Center items vertically */
    margin: 20px 0px;
 }

.card {
    background-color: #f0f0f0;
    max-width: 50%;
    justify-content: center;
    padding: 20px;
    margin: 10px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s ease-in-out;
}

@media (max-width: 800px) {
    .card{
        justify-content: center;
        min-height: 350px;
        margin-bottom: 50px;
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 90vw;
        margin-right: 10%;
        
        
    }
}

.space {
    display: block;
    margin: 10px;
}

footer div span {
    color: var(--text-color);
    font-weight: 800;
}

footer div {
    text-align: center;
}

a {
    text-decoration: none;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    font-size: 18px;
    list-style: none;
    z-index: 1;
}

@media (max-width: 800px) {
    nav ul {
        width: 90vw;
    }
}

nav ul li a {
    text-decoration: none;
    color: var(--white);
    transition: 0.4s ease;
}

nav ul li a:hover {
    color: var(--text-color);
}

nav .hamburger {
    position: relative;
    width: 30px;
    cursor: pointer;
    appearance: none;
    background: none;
    outline: none;
    border: none;
    display: none;
    scale: 0.8;
}

nav .hamburger .bar,
nav .hamburger::after,
nav .hamburger::before {
    content: '';
    display: block;
    width: 100%;
    height: 3px;
    background: var(--white);
    margin: 6px 0;
    transition: 0.4s;
}

nav .hamburger.active::before {
    transform: rotate(-45deg) translate(-8px, 5px);
}

nav .hamburger.active::after {
    transform: rotate(45deg) translate(-8px, -5px);
}

nav .hamburger.active .bar {
    opacity: 0;
}

.container {
    display: inline-flex;
    flex-direction: row;
}

.logo{
    font-size: 2rem;
    color: var(--text-color);
    pointer-events: none;
    margin-right: 270px;
    white-space: nowrap;
}
@media (max-width: 600px) {
    .logo{
        margin-right: 210px;
    }
}
@media (max-width: 500px) {
    .logo{
        margin-right: 0px;
    }
}


.navigation a{
    text-decoration: none;
    color: var(--text-color);
    padding: 6px 15px;
    border-radius: 20px;
    margin: 0 5px;
    font-weight: 600;
}

@media (max-width: 1200px) {
    .navigation a{
        display: flex;
        flex: 1;
        margin-left: -30px;
    }
    ul li:first-child{
        margin-right: 10px;
    }
}

.navigation a:hover,
.navigation a.active{
    background: var(--text-color);
    color: #fff;
}

.parallax{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

#text{
    position: absolute;
    font-size: 5rem;
    color: #fff;
    text-shadow: 2px 2px 4px rgba(0,0,0, .2);
}

@media (max-width: 1500px) {
    #text{
        font-size: 5rem;
        top: 400px;
    }
}
@media (max-width: 1200px) {
    #text{
        font-size: 3.5rem;
        top: 350px;
    }
}
@media (max-width: 1000px) {
    #text{
        font-size: 3rem;
        top: 300px;
    }
}
@media (max-width: 900px) {
    #text{
        font-size: 2.7rem;
        top: 230px;
    }
}
@media (max-width: 800px) {
    #text{
        font-size: 2.5rem;
        top: 250px;
    }
}
@media (max-width: 700px) {
    #text{
        font-size: 2rem;
        top: 190px;
    }
}
@media (max-width: 600px) {
    #text{
        font-size: 1.8rem;
        top: 150px;
    }
}


@media (max-width: 1400px) {
    #pic1{
        width: 180%;
        left: -15px;
        margin-bottom: 250px;
        position: relative;
    }
}
@media (max-width: 1300px) {
    #pic1{
        width: 180%;
        left: -15px;
        margin-bottom: 300px;
        position: relative;
    }
}
@media (max-width: 1200px) {
    #pic1{
        width: 180%;
        left: -15px;
        margin-bottom: 400px;
        position: relative;
    }
}
@media (max-width: 1100px) {
    #pic1{
        width: 180%;
        left: -15px;
        margin-bottom: 400px;
        position: relative;
    }
}
@media (max-width: 1000px) {
    #pic1{
        width: 180%;
        left: -15px;
        margin-bottom: 400px;
        position: relative;
    }
}
@media (max-width: 900px) {
    #pic1{
        width: 180%;
        left: -15px;
        margin-bottom: 610px;
        position: relative;
    }
}

.parallax img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    pointer-events: none;
}

@media (max-width: 991px){
    .parallax{
        opacity: 0;
        height: 0;
        overflow: hidden;
    }
}

.sec{
    position: relative;
    background: var(--bg-color);
    padding: 100px;
}

.sec h2{
    font-size: 3rem;
    color: #fff;
    margin-bottom: 10px;
}

.sec p{
    margin-bottom: 0px;
    font-size: 1rem;
    color: #fff;
    font-weight: 300;
}

@media (max-width: 1500px) {
    .sec {
        margin-top: -50px;
    }
}
@media (max-width: 1400px) {
    .sec {
        margin-top: -80px;
    }
}
@media (max-width: 1300px) {
    .sec {
        margin-top: -120px;
    }
}
@media (max-width: 1200px) {
    .sec {
        margin-top: -250px;
    }
}
@media (max-width: 1000px) {
    .sec {
        margin-top: -300px;
    }
}

@media screen and (max-width: 1000px) {
    header {
        background: var(--mob-color);
        position: sticky;
        top: 0;
        z-index: 9;
    }

    nav .hamburger {
        display: block;
    }

    nav ul {
        position: fixed;
        top: 90px;
        left: 100%;
        width: 100%;
        height: 100vh;
        background: var(--mob-color);
        justify-content: flex-start;
        align-items: flex-start;
        flex-direction: column;
        padding: 50px;
        gap: 30px;
        transition: .5s ease-in;
    }

    nav ul li a {
        font-size: 28px;
    }

    nav ul.active {
        left: 0%;
    }
}

@media screen and (max-width: 567px) {
    nav {
        padding: 0 30px;
    }

    nav .logo a {
        font-size: 30px;
    }

    nav ul {
        padding: 30px 30px 0;
    }

    nav ul li a {
        font-size: 24px;
    }
}

/* styles for the video container */

section video {
    max-height: 60vh;
    max-width: 80vw;
    margin-bottom: 20px;
}

#myVideo {
    display: flex;
    max-width: 50vw;
    border-radius: 25px;
}

/* ***************Contact Form ******************* */

.contact-container{
    height: 85vh;
    width: 110vw;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background: var(--white);
    position: relative;
    padding: 30px;
    overflow: hidden;
}

.contact-left{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;
}

.contact-left-title h2{
    font-weight: 600;
    color: #a363aa;
    font-size: 40px;
    margin-bottom: 5px;
}

.contact-left-title hr{
    border: none;
    width: 210px;
    height: 5px;
    background-color: #a363aa;
    border-radius: 10px;
    margin-bottom: 20px;
}

.contact-inputs{
    width: 400px;
    height: 50px;
    border-color: var(--black);
    outline: none;
    padding-left: 25px;
    font-weight: 500;
    color: #666;
    border-radius: 50px;
}

.contact-left textarea{
    height: 140px;
    padding-top: 15px;
    border-radius: 20px;
}

.contact-inputs:focus{
    border: 2px solid #ff994f;
}

.contact-inputs::placeholder{
    color: #a9a9a9;
}

.contact-left button{
    display: flex;
    align-items: center;
    padding: 15px 30px;
    font-size: 16px;
    color: #fff;
    gap: 10px;
    border: none;
    border-radius: 50px;
    background: linear-gradient(270deg, #ff994f, #fa6d86);
    cursor: pointer;
}

.navBack button{
    display: flex;
    margin: 10px 5px;
    padding: 5px 30px;
    font-size: 16px;
    color: #fff;
    border: none;
    border-radius: 50px;
    background: linear-gradient(270deg, #ff994f, #fa6d86);
    cursor: pointer;
}

.navBack button a{
    text-decoration: none;
}

.contact-left button img{
    height: 15px;
}

.contact-right img{
    max-width: 200px;
    margin-top: 200px;
}

.contact-right {
    position: relative;
    background: var(--white);
}

@media (max-width:800px) {
    .contact-inputs{
        width: 80vw;
    }
    .contact-right {
        display: none;
    }
}

/* ************Pictures*************** */

.imageCover{
    overflow: hidden;
}

.image{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#pic1{
    height: 75%;
    /* transition: opacity 0.5s ease-in-out; */
}

.hidden {
    opacity: 0;
    height: 0;
    overflow: hidden;
  }

.relative{
    position: relative;
    opacity: 0;
    height: 0;
    overflow: hidden;
}

#pic4{
    margin-top: 89px;
    width: 70%;
}

.cardMain .front {
    height: 100%;
    z-index: 1;
    backface-visibility: hidden;
}

.cardMain .back {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;

}

.cardMain .back p{
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
.back {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

@media (max-width:800px) {
    footer {
        width: 105vw;
    }
}

.margT {
    margin-top: 20px;
}

.cardNew {
    margin: 100px auto 0;
    margin-bottom: 80px;
    width: 400px;
    height: 600px;
    perspective: 1000px;
  }

.card__inner {
    width: 100%;
    height: 100%;

    transition: transform 1s;
    transform-style: preserve-3d;
    cursor: pointer;
    position: relative;
  }
  
  .card__inner.is-flipped {
    transform: rotateY(180deg);
  }
  

  .card__face {
    position: absolute;
    width: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    overflow: hidden;
    border-radius: 9px;
    box-shadow: 0px 3px 18px 3px rgba(0, 0, 0, 0.2);

    align-items: center;
    justify-content: center;
  }
  
  .card__face--front h2 {
    margin-bottom: 25px;
  }
  
  .card__face--back {
    transform: rotateY(180deg);
  }
  
  .card__header {
    position: relative;
    padding: 30px 30px 40px;
  }
  
  .card__header:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(to bottom left, var(--primary) 10%, var(--secondary) 115%);
    z-index: -1;
    border-radius: 0px 0px 50% 0px;
  }
  
  .card__body {
    padding: 30px;
  }
  
  .card__body h3 {
    color: var(--dark);
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 15px;
  }
  
  .card__body p {
    font-size: 18px;
    line-height: 1.4;
  }

  :root {
    --text-color: #dd8dbd;
    --bg-color: #f5f5fd;
    --white: #fff;
    --black: #000;
    --mob-color: #444444;

    --primary: #FFCE00;
    --secondary: #FE4880;
    --dark: #212121;
    --light: #F3F3F3;
}